//=========================================================================
//
//	FILE:				Document_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the Documents demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:27:25 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

/*!
	@mainpage
	
	@section overview  Overview

	The CP_Document demo demonstrates an application that also uses documents to
	handle the interaction between the main window and reading and writing the
	contents to a file object.	

	@section persistance  Persistance
	
	The actual writing of the data to a file is handled by an object of CP_PersistantWriter.

	@image html Document_OSX.jpg
	
	This above screen shot shows the demo running with some text entered into the main window.
*/
