//=========================================================================
//
//	FILE:				CP_DT_MemoryOff.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Undefines the MacOS memory management memory recording.
//
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_DT_MemoryOff
#define _H_CP_DT_MemoryOff
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

CPLAT_Begin_Namespace_CPLAT

#if TARGET_OS_MAC

#if CP_Debug_RecordOSCalls

//==========================================================================
//	Memory Manager
//==========================================================================

#undef BlockMove				
#undef BlockMoveData			
#undef NewPtr
#undef NewPtrClear
#undef NewPtrSys			
#undef NewPtrSysClear
#undef GetPtrSize				
#undef SetPtrSize				
#undef PtrZone					
#undef DisposePtr				
#undef PtrToHand
#undef NewHandle
#undef NewHandleClear
#undef NewHandleSys
#undef NewHandleSysClear
#undef GetHandleSize			
#undef SetHandleSize			
#undef ReallocateHandle		
#undef DisposeHandle			
#undef HLock					
#undef HUnlock					
#undef HGetState				
#undef HSetState				
#undef HandAndHand				
#undef HandToHand
#undef HPurge					
#undef HNoPurge				
#undef EmptyHandle				
#undef HandleZone				
#undef RecoverHandle			
#undef RecoverHandleSys		
#undef SetZone					
#undef GetZone					
#undef TempNewHandle
#undef TempDisposeHandle		
#undef MoveHHi					
#undef PtrAndHand				

#endif	// __CP_USE_DEBUG_TRAPS__

#endif // __BUILD_MAC__

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_DT_MemoryOff


