//=========================================================================
//
//	FILE:				CP_HIShape.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class to handle MacOSX HIShapes.
//	
//	HISTORY:			1st Version - July 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev:$
//						Latest Checkout:  $Date:$
//
//=========================================================================
#ifndef _H_CP_HIShape
#define _H_CP_HIShape
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_API_MAC_CARBON && TARGET_RT_MAC_MACHO && defined(MAC_OS_X_VERSION_10_2) && (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_2)

	// CPLAT_Framework
CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_HIShape
*	@brief		A class to handle MacOSX HIShapes.
*/
class CP_EXPORT CP_HIShape
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_HIShape();
	//! Destructor.
	virtual								~CP_HIShape() throw();
	//@}

protected:

private:
			
	// class data
private:
	HIShapeRef							fShapeRef;
};

CPLAT_End_Namespace_CPLAT

#endif // TARGET_API_MAC_CARBON && TARGET_RT_MAC_MACHO && defined(MAC_OS_X_VERSION_10_2) && (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_2)

#endif	// _H_CP_HIShape

