//=========================================================================
//
//	FILE:				CP_App_DefaultMenus_Linux.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

#if TARGET_OS_LINUX

	// Precompile header support
#include "CP_Precomp.h"

	// CPLAT_Framework
#include "CP_CommandNos.h"
#include "CP_FrameworkStructures_Linux.h"

	// CPLAT_Framework
#include "CP_CommandNos.h"
#include "CP_FrameworkStructures_Linux.h"

CPLAT::CP_S_MenuItems_Linux	gMenuBar_Main[] =
{
		// File menu
	{ CPLAT::CP_E_MIMark__MenuDef	,	"File",				128,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"New",				CPLAT::CP_CMD_New,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Close",			CPLAT::CP_CMD_Close,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Close",			CPLAT::CP_CMD_Close,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Save",				CPLAT::CP_CMD_Save,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Save As...",		CPLAT::CP_CMD_SaveAs,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Page Setup...",	CPLAT::CP_CMD_PageSetup,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Print",			CPLAT::CP_CMD_Print,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Quit",				CPLAT::CP_CMD_Quit,			0 },

		// Edit menu
	{ CPLAT::CP_E_MIMark__MenuDef,		"Edit",				129,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Cut",				CPLAT::CP_CMD_Cut,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Copy",				CPLAT::CP_CMD_Copy,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Paste",			CPLAT::CP_CMD_Paste,			0 },
	
		// end of definition marker
	{ CPLAT::CP_E_MIMark__EndDef,		"",					CPLAT::CP_CMD_NoCommand,		0 },
};

#endif	// TARGET_OS_LINUX
